CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

            calibre-server [options] [path to library folder...]

Start de calibre Content server. De calibre Content server toont uw calibre bibliotheken via het internet. U kan het pad naar de bibliotheek mappen specificeren als argumenten bij calibre-server. Als u geen pad specificeert, worden alle bibliotheken die het calibre hoofdprogramma kent, gebruikt.

Als u aan calibre-server parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

[OPTIES]

    --access-log
        Pad naar toegangslogbestand. Dit houdt informatie bij over clients die verbinding maken met de server en aanvragen indienen. Standaard worden geen toegangslogbestanden bijgehouden.

    --ajax-timeout
        Tijd (in seconden) om te wachten op een antwoord van de server bij zoekopdrachten.

    --auth-mode
        Kies het type authenticatie dat gebruikt is. Stel de HTTP authenticatie modus in gebruikt door de server. Op "basis" als u de server achter een proxy zet, laat het anders op "auto" wat "basis" gebruikt als SSL is ingesteld, anders gebruikt het "digest".

    --auto-reload
        Herstart automatisch wanneer de bron code veranderd. Handig voor ontwikkeling. U zou ook een kleine waarde moeten geven aan de afsluit timeout.

    --ban-after
        Aantal mislukte inlogpogingen voor bannen. Het aantal mislukte inlogpogingen waarna een IP adres wordt geband

    --ban-for
        Ban IP adressen met meerdere mislukte inlogpogingen. Blokkeert tijdelijk IP adressen die meerdere mislukte inlogpogingen hebben voor het gespecificeerde aantal minuten. Nuttig om pogingen tot wachtwoord raden te voorkomen. Indien ingesteld op 0 wordt er niet geblokkeerd.

    --book-list-mode
        De standaard boekenlijst modus kiezen. Stel de standaard boekenlijst modus in voor nieuwe gebruikers. Individuele gebruikers kunnen de standaard negeren in hun instellingen. De standaard is een omslagraster.

    --compress-min-size
        Minimale grootte waarbij antwoorden data compressie gebruiken (in bytes).

    --custom-list-template
        Pad naar een JSON bestand met een sjabloon voor de aangepaste boekenlijst modus. De gemakkelijkste manier om zo'n sjabloonbestand te creëren is via Voorkeuren->Delen->Delen via (inter)net->Boek lijst sjabloon in calibre, creëer de sjabloon en exporteer ze.

    --daemonize
        Draai het proces in de achtergrond als een daemon (enkel Linux)

    --displayed-fields
        Getoonde gebruiker gedefinieerde velden beperken. Komma gescheiden lijst met door de gebruiker gedefinieerde metadatavelden die door de Content server in de /opds en /mobile weergaven worden getoond. Als u deze optie selecteert, worden velden die niet in deze lijst zijn opgenomen niet weergegeven. Bv.: my_rating,my_tags

    --enable-allow-socket-preallocation, --disable-allow-socket-preallocation
        Socket voor-toewijzing, bv. bij systemd socket activatie. Deze optie is standaard ingeschakeld.

    --enable-auth, --disable-auth
        Wachtwoord gebaseerde authenticatie voor toegang tot de server. Normaal heeft de server geen beperkingen en geeft iedereen toegang. Met deze optie kan u toegang beperken tot vooraf gedefinieerde gebruikers. Deze optie is standaard uitgeschakeld.

    --enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
        Terug vallen op automatisch gedetecteerde interface. Als de server voor een bepaalde reden niet in staat is om te "bind"en met de interface gespecificeerd in listen_on, probeert hij een interface te detecteren die met de buitenwereld verbindt en bind daarmee. Deze optie is standaard ingeschakeld.

    --enable-local-write, --disable-local-write
        Laat niet-geauthentiseerde lokale verbindingen veranderingen maken. Als je authenticatie niet inschakelt, werkt de server normaal gesproken in de alleen-lezenmodus, zodat anonieme gebruikers geen wijzigingen kunnen aanbrengen in je Calibre-bibliotheken. Met deze optie kan iedereen die verbinding maakt vanaf dezelfde computer waarop de server draait, wijzigingen aanbrengen. Dit is handig als je de server zonder authenticatie wilt draaien, maar toch calibredb wilt gebruiken om wijzigingen aan te brengen in je Calibre-bibliotheken. Houd er rekening mee dat als u deze optie inschakelt, elk programma dat op de computer draait wijzigingen kan aanbrengen in uw Calibre-bibliotheken. Met name de Firefox-webbrowser staat willekeurige websites toe om dit ook te doen. Deze optie is standaard uitgeschakeld.

    --enable-log-not-found, --disable-log-not-found
        HTTP 404 (Niet Gevonden) verzoeken loggen. Normaal logt de server alle HTTP verzoeken voor bronnen die hij niet vond. Dit kan een hoop log spam genereren als uw server het doel wordt van bots. Gebruik deze optie om het af te zetten. Deze optie is standaard ingeschakeld.

    --enable-use-bonjour, --disable-use-bonjour
        Adverteer OPDS feeds via BonJour. Adverteer de OPDS feeds via de BonJour dienst, zodat OPDS gebaseerde reading apps de server kunnen detecteren en automatisch verbinden. Deze optie is standaard ingeschakeld.

    --enable-use-sendfile, --disable-use-sendfile
        Bestandsoverdrachten zonder kopieën voor betere prestaties. Dit maakt gebruik van zero-copy in-kernel overdrachten bij het verzenden van bestanden over het netwerk, waardoor de prestaties toenemen. Het kan echter corrupte bestandsoverdrachten veroorzaken op sommige kapotte bestandssystemen. Als je last hebt van beschadigde bestandsoverdrachten, schakel dit dan uit. Deze optie is standaard ingeschakeld.

    --help, -h
        toon dit helpbericht en stop

    --ignored-fields
        Genegeerde door de gebruiker gedefinieerde metadata velden. Door komma's gescheiden lijst van door de gebruiker gedefinieerde metadata gegevensvelden die niet door de inhoudsserver in de weergaven /OPDS en /mobiel worden weergegeven. Bijvoorbeeld: my_rating,my_tags

    --listen-on
        De interface waarop te luisteren voor verbindingen. De standaardinstelling is om op alle beschikbare IPv6 en IPv4 interfaces te luisteren. Je kunt dit bijvoorbeeld veranderen in "127.0.0.1" om alleen te luisteren naar IPv4 verbindingen vanaf de lokale machine, of in "0.0.0.0" om te luisteren naar alle inkomende IPv4 verbindingen.

    --log
        Pad naar logbestand voor serverlog. Dit logbestand bevat servergegevens en fouten, maar geen toegangslogs. Het wordt standaard naar stdout geschreven.

    --manage-users
        Beheer de database met gebruikers die met deze server mogen verbinden. U kan het in automatische modus gebruiken door toevoeging van een --. Bekijk calibre-server --manage-users -- help voor details. Bekijk ook de --userdb optie.

    --max-header-line-size
        Max. grootte van enkele HTTP header (in KB).

    --max-job-time
        Maximale tijd voor werkprocessen. Maximale tijd dat werker processen mogen draaien (in minuten). Stel in op nul voor geen limiet.

    --max-jobs
        Maximale aantal werkprocessen. Werker processen worden gelanceerd indien nodig en gebruikt voor grote taken zoals voorbereiden van een boek om te tonen, boeken toevoegen, converteren, enz. Normaal is het maximale aantal gebaseerd op het aantal CPU kernen. U kan het controleren met deze instelling.

    --max-log-size
        Max. logfile grootte (in MB). Maximum grootte van log bestanden gegenereerd door de server. Als de log groter wordt, wordt het automatisch geroteerd. Zet op nul om log rotatie uit te schakelen.

    --max-opds-items
        Maximale aantal boeken in OPDS feeds. Maximum aantal boeken dat de server terug geeft in een enkele OPDS verkrijgingsfeed.

    --max-opds-ungrouped-items
        Maximaal aantal niet-gegroepeerde items in OPDS-feeds. Groepeer items in categorieën zoals auteur/labels per beginletter wanneer er meer items dan dit aantal zijn. Stel op nul in om uit te schakelen.

    --max-request-body-size
        Toegestane max. bestandsgrootte om naar server te uploaden (in MB).

    --num-per-page
        Aantal boeken te tonen op een enkele pagina. Aantal boeken te tonen op een enkele pagina in de browser.

    --pidfile
        Schrijf het PID van het proces naar het opgegeven bestand

    --port
        De poort waarop geluisterd word naar verbindingen.

    --search-the-net-urls
        Pad naar JSON bestand met URLs voor de "Doorzoek het internet" functie. De gemakkelijkste manier om zo'n bestand te creëren is via Voorkeuren->Delen->Delen via (inter)net->Doorzoek het internet in calibre, creëer de URLs en exporteer ze.

    --shutdown-timeout
        Totaaltijd in seconden om te wachten om netjes af te sluiten.

    --ssl-certfile
        Pad naar bestand SSL certificaat.

    --ssl-keyfile
        Pad naar bestand SSL persoonlijke sleutel.

    --timeout
        Tijd (in seconden) totdat een inactieve verbinding wordt gesloten.

    --trusted-ips
        Laat niet-geauthentiseerde verbindingen van specifieke IP adressen veranderingen maken. Normaal, als u authenticatie niet aanzet, werkt de server in alleen-lezen modus zodat anonieme gebruikers geen veranderingen kunnen aanbrengen in uw calibre bibliotheken. Deze optie laat iedereen die verbindt vanop specifieke IP adressen veranderingen maken. Moet een komma gescheiden lijst zijn van adressen of netwerk specificaties. Nuttig als u de server wilt draaien zonder authenticatie maar toch calibredb wilt gebruiken om uw bibliotheken te wijzigen. Merk op dat deze optie aanzetten betekent dat iedereen die verbindt vanop de gespecificeerde adressen uw calibre bibliotheken kan wijzigen.

    --url-prefix
        Een prefix om voor alle URL's te zetten. Nuttig als u deze server achter een omgekeerde proxy wil draaien. Bv. gebruik /calibre als het URL voorvoegsel.

    --userdb
        Pad naar de gebruikersdatabase voor authenticatie. De database is een SQLite bestand. Gebruik --manage-users om het te creëren. U kan meer lezen over gebruikersbeheer op: <https://manual.calibre-ebook.com/nl/server.html#managing-user-accounts-from-the-command-line-only>

    --version
        toon programmaversie en stop

    --worker-count
        Aantal werker threads gebruikt om verzoeken te verwerken.

Author
Kovid Goyal

Copyright
Kovid Goyal